/* MSHV
 *
 * By Hrisimir Hristov - LZ2HV
 * (Edited by Harper Innes, VK1TTY - to remove Gendered Language and Replace with Non-Gendered language)  NOTE:May be used under the terms of the GNU General Public License (GPL)
 */

#ifndef RADLIST_H
#define RADLIST_H

#include "../../config.h"

//#include <QHeaderView>
#include <QTreeView>
//#include <QCoreApplication>
#include <QStandardItemModel>
#include <QMouseEvent>
#include <QPainter>
//#include <QFont>
//#include <QMessageBox>
//#include <QClipboard>
//#include <QApplication>
//#include <QtGui>

/*class HvHeaderStInfo : public QHeaderView
{
    Q_OBJECT
public:
    HvHeaderStInfo(Qt::Orientation orientation, QWidget *parent = 0);
    virtual ~HvHeaderStInfo();

};*/

class HvRadList : public QTreeView
{
    Q_OBJECT
public:
    HvRadList(bool,QWidget *parent = 0);
    virtual ~HvRadList();

	//void SetFocus();
    QStandardItemModel model;
    void Clear_List();
    void InsertItem_hv(QStringList);
    void SetItem_hv(QStringList,int);
    //void SetEditRow(int);

    int GetListCount()
    {
        return 	model.rowCount();
    };


signals:
	//void SendRightClick();
	void EmitDoubleClick(QStringList,int);
	//void SortClicked(int);

//public slots:
    //void InsertItem_hv(QStringList);
    //void DeleteSel();
    //void SetItem_hv(QStringList,int);

private:
	bool dsty;
    //HvHeaderStInfo *THvHeader;
    //int ActiveIndex;
    //QColor ActiveRowText;
    //QColor ActiveRowBackg;
    //QClipboard *clipboard;
    bool f_row_color;

protected:
	//void mousePressEvent (QMouseEvent*);
	//void drawRow(QPainter *painter, const QStyleOptionViewItem & option, const QModelIndex & index ) const;
	void paintEvent(QPaintEvent *);
	void mouseDoubleClickEvent(QMouseEvent * event);
	//void resizeEvent(QResizeEvent * event);
	//void keyPressEvent(QKeyEvent * event);

};
#endif
